﻿<Graph ClassName="RCLToolsAndEquipment" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.EP;
using PX.Objects.FA;

namespace RCLJO
{
    [Serializable]
    [PXCacheName("RCLToolsAndEquipment")]
    public class RCLToolsAndEquipment : IBqlTable
    {
        #region JORefNbr
        [PXDBString(20, IsUnicode = true, InputMask = "")]
        [PXDBDefault(typeof(RCLJobOrder.jORefNbr))]
        [PXParent(typeof(Select<RCLJobOrder, Where<RCLJobOrder.jORefNbr, Equal<Current<RCLToolsAndEquipment.jORefNbr>>>>))]
        [PXUIField(DisplayName = "JO Ref Nbr")]
        public virtual string JORefNbr { get; set; }
        public abstract class jORefNbr : PX.Data.BQL.BqlString.Field<jORefNbr> { }
        #endregion

        #region RecID
        [PXDBIdentity(IsKey = true)]
        public virtual int? RecID { get; set; }
        public abstract class recID : PX.Data.BQL.BqlInt.Field<recID> { }
        #endregion

        #region AssetID
        [PXDBInt()]
        [PXDefault()]
        [PXSelector(typeof(Search<FixedAsset.assetID>),
          typeof(FixedAsset.assetCD),
          typeof(FixedAsset.description),
          typeof(FixedAsset.classID),
          SubstituteKey = typeof(FixedAsset.assetCD),
          DescriptionField = typeof(FixedAsset.description)
        )]
        [PXUIField(DisplayName = "Asset ID")]
        public virtual int? AssetID { get; set; }
        public abstract class assetID : PX.Data.BQL.BqlInt.Field<assetID> { }
        #endregion

        #region Drnbr
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Dr Nbr.")]
        public virtual string DRNbr1 { get; set; }
        public abstract class dRNbr1 : PX.Data.BQL.BqlString.Field<dRNbr1> { }
        #endregion

        #region IssuedTo
        [PXDBInt()]
        [PXSelector(typeof(EPEmployee.bAccountID),
              typeof(EPEmployee.acctCD),
              typeof(EPEmployee.acctName),
              SubstituteKey = typeof(EPEmployee.acctName)
            )]
        [PXUIField(DisplayName = "Issued To")]
        public virtual int? IssuedTo { get; set; }
        public abstract class issuedTo : PX.Data.BQL.BqlInt.Field<issuedTo> { }
        #endregion

        #region DateIssued
        [PXDBDate()]
        [PXUIField(DisplayName = "Date Issued")]
        public virtual DateTime? DateIssued { get; set; }
        public abstract class dateIssued : PX.Data.BQL.BqlDateTime.Field<dateIssued> { }
        #endregion

        #region Drnbr
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Dr Nbr.")]
        public virtual string DRNbr2 { get; set; }
        public abstract class dRNbr2 : PX.Data.BQL.BqlString.Field<dRNbr2> { }
        #endregion

        #region ReturnedBy
        [PXDBInt()]
        [PXSelector(typeof(EPEmployee.bAccountID),
              typeof(EPEmployee.acctCD),
              typeof(EPEmployee.acctName),
              SubstituteKey = typeof(EPEmployee.acctName)
            )]
        [PXUIField(DisplayName = "Returned By")]
        public virtual int? ReturnedBy { get; set; }
        public abstract class returnedBy : PX.Data.BQL.BqlInt.Field<returnedBy> { }
        #endregion

        #region DateReturned
        [PXDBDate()]
        [PXUIField(DisplayName = "Date Returned")]
        public virtual DateTime? DateReturned { get; set; }
        public abstract class dateReturned : PX.Data.BQL.BqlDateTime.Field<dateReturned> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion
    }
}]]></CDATA>
</Graph>